%global plugin_name openshift-pipeline

Summary:    Jenkins plugin that allows operation with a Kubernetes based OpenShift server
Name:       jenkins-plugin-%{plugin_name}
Version:    1.0.47
Release:    10%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Openshift+Pipeline+Plugin
# AltURL:   https://github.com/jenkinsci/openshift-pipeline-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-openshift-sync

%description
This project provides a series Jenkins plug-in implementations 
that operate on Kubernetes based OpenShift. In summary they are 
a series of REST clients that interface with the OpenShift server 
via the exposed API. They minimally mimic the REST flows of 
common uses of the oc CLI command, but in several instances 
additional REST flows have been added to provide validation of 
the operations being performed.

Their ultimate intent is to provide easy to use building blocks 
that simplify the construction of the jobs, workflows, and 
pipelines in Jenkins that operate against an OpenShift deployments.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 1.0.47 - 1.0.47-10
- rebuilt

* Tue Jun 27 2017 root - 1.0.47-1
- Update to 1.0.47

* Wed Feb 01 2017 Troy Dawson <tdawson@redhat.com> - 1.0.42-1
- Update to 1.0.42

* Tue Jan 24 2017 Troy Dawson <tdawson@redhat.com> - 1.0.40-1
- Update to 1.0.40

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 1.0.39-1
- Update to 1.0.39

* Mon Nov 28 2016 Troy Dawson <tdawson@redhat.com> - 1.0.37-1
- Update to 1.0.37

* Tue Nov 22 2016 Troy Dawson <tdawson@redhat.com> - 1.0.36-1
- Update to 1.0.36

* Fri Nov 18 2016 Troy Dawson <tdawson@redhat.com> - 1.0.35-1
- Update to 1.0.35

* Wed Nov 16 2016 Troy Dawson <tdawson@redhat.com> - 1.0.34-1
- Update to 1.0.34

* Fri Nov 11 2016 Troy Dawson <tdawson@redhat.com> - 1.0.33-1
- Update to 1.0.33

* Wed Nov 09 2016 Troy Dawson <tdawson@redhat.com> - 1.0.32-1
- Update to 1.0.32

* Mon Oct 31 2016 Troy Dawson <tdawson@redhat.com> - 1.0.28-1
- Update to 1.0.28

* Fri Aug 26 2016 Scott Dodson <sdodson@redhat.com> - 1.0.22-1
- Update to 1.0.22

* Wed Jul 13 2016 Troy Dawson <tdawson@redhat.com> - 1.0.21-1
- Update to 1.0.21

* Mon Jun 27 2016 Troy Dawson <tdawson@redhat.com> - 1.0.20-1
- Update to 1.0.20

* Mon Jun 20 2016 Troy Dawson <tdawson@redhat.com> - 1.0.19-1
- Update to 1.0.19

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.0.17-1
- Update to 1.0.17

* Thu Jun 09 2016 Scott Dodson <sdodson@redhat.com> - 1.0.13-2
- Update to 1.0.13

* Thu May 19 2016 Troy Dawson <tdawson@redhat.com> - 1.0.12-1
- Update to 1.0.12

* Tue May 17 2016 Troy Dawson <tdawson@redhat.com> - 1.0.11-1
- Update to 1.0.11

* Wed May 11 2016 Troy Dawson <tdawson@redhat.com> - 1.0.10-1
- Update to 1.0.10

* Wed Mar 09 2016 Troy Dawson <tdawson@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Fri Feb 12 2016 Troy Dawson <tdawson@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Tue Jan 26 2016 Troy Dawson <tdawson@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Mon Jan 11 2016 Troy Dawson <tdawson@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Thu Jan 07 2016 Troy Dawson <tdawson@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Mon Jan 04 2016 Troy Dawson <tdawson@redhat.com> - 1.0.4-2
- Really update to 1.0.4

* Fri Dec 18 2015 Troy Dawson <tdawson@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Mon Dec 07 2015 Troy Dawson <tdawson@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Mon Nov 23 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-2
- Fix the jenkins version

* Mon Nov 23 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Nov 17 2015 Troy Dawson <tdawson@redhat.com> - 1.0-1
- Initial package
